(function() {
  if ('require' in window) {
    require("discourse/lib/theme-settings-store").registerSettings(6, {"Hamburger_links":"Forum Rules,https://devforum.roblox.com/t/official-rules-of-the-roblox-developer-forum/46429,f|Privacy Policy,https://www.roblox.com/info/privacy?locale=en_us,f"});
  }
})();
if ('define' in window) {
define("discourse/theme-6/initializers/theme-field-31-common-html-script-1", ["exports", "discourse/lib/plugin-api"], function (_exports, _pluginApi) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

  function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

  function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

  function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

  function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

  function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

  var settings = require("discourse/lib/theme-settings-store").getObjectForTheme(6);

  var themePrefix = function themePrefix(key) {
    return "theme_translations.6.".concat(key);
  };

  var _default = {
    name: "theme-field-31-common-html-script-1",
    after: "inject-objects",
    initialize: function initialize() {
      (0, _pluginApi.withPluginApi)("0.8.18", function (api) {
        (settings.Hamburger_links || "").split("|").forEach(function (link) {
          var _split = (link || "").split(","),
              _split2 = _slicedToArray(_split, 4),
              rawLabel = _split2[0],
              href = _split2[1],
              loc = _split2[2],
              target = _split2[3];

          var className = "custom-hamburger-link ".concat(rawLabel.replace(/\s+/g, "-").toLowerCase());
          loc = "f" === loc ? "footerLinks" : "generalLinks";
          target = "blank" === target ? "_blank" : "";
          api.decorateWidget("hamburger-menu:".concat(loc), function () {
            return {
              href: href,
              rawLabel: rawLabel,
              className: className,
              attributes: {
                "target": target
              }
            };
          });
        });
      });
    }
  };
  _exports.default = _default;
});
}
